Subject: bug#37189: 25.4.1: vc-hg-ignore implementation is missing

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Feb 2020 11:57:26 +0200

> Cc: [email-masked], [email-masked]
> From: Wolfgang Scherer <[email-masked]>
> Date: Wed, 5 Feb 2020 20:06:15 +0100
> 
> coming to think of it, I realized that there probably is no maintainer for the vc ignore feature. I.e., there is no use in explaining the design with many words, since it will not be implemented anyway.

AFAIU, Dmitry oversees the VC development and maintenance.  That
includes the issues you raised here.

> So I went ahead and implemented it myself. The CVS, GIt and Hg subsystems are tested and work as expected. The code and a short description is available for review at http://sw-amt.ws/README-emacs-vc-ignore-feature.html#vc-ignore-parameter-extension
> 
> If you agree that this is a good way to proceed, I will integrate it.

It's up to Dmitry, really.  If he feels my attempt to understand the
design critique you present is not helping, then I'll gladly leave it
to him to continue with this report.

Thanks.